# Class TOLEDropTarget

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFOLEDragAndDrop

## Declaration

`type TOLEDropTarget = class(TInterfacedObject, IDropTarget)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TOLEDropTarget

## Overview

### Fields

| `FManager: TOLEDragAndDropMgr;`

### Methods

| `constructor Create(const aManager : TOLEDragAndDropMgr); reintroduce;`
| `function DragEnter(const dataObj: IDataObject; grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;`
| `function DragOver(grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;`
| `function Drop(const dataObj: IDataObject; grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;`
| `function DragLeave: HRESULT; stdcall;`

## Description

### Fields

| `FManager: TOLEDragAndDropMgr;`
This item has no description.

### Methods

| `constructor Create(const aManager : TOLEDragAndDropMgr); reintroduce;`
This item has no description.

| `function DragEnter(const dataObj: IDataObject; grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;`
IDropTarget

| `function DragOver(grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;`
This item has no description.

| `function Drop(const dataObj: IDataObject; grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;`
This item has no description.

| `function DragLeave: HRESULT; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.